Bug 1020302 - EAP started with JTS transaction starting with WARN message in the log
EAP started with JTS transaction starting with WARN message in the log
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ER7
: EAP 6.2.0
Assigned To: tom.jenkinson
Ondrej Chaloupka
:
Depends On: 1022054
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 08:15 EDT by Ondrej Chaloupka
Modified: 2017-10-09 20:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:15:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-10-17 08:15:48 EDT
When you start EAP (in my case EAP 6.2.0.ER6 but it happens for previous versions as well) and you configure the jts transactions:
 - jacorb subsystem - transactions="on"
 - transactions subsystem - addding tag <jts/>

and start the EAP like
./bin/standalone.sh -c standalone-full.xml

you can see WARN message in the log
WARN  [com.arjuna.ats.jts] (MSC service thread 1-1) ARJUNA022251: The ORBManager is already associated with an ORB/OA.

The start of the EAP server should be clean without warnings.
Comment 1 tom.jenkinson 2013-10-17 08:43:29 EDT
Hi Ondra,

Would info level be OK?

Tom
Comment 2 Ondrej Chaloupka 2013-10-17 09:11:14 EDT
Hi Tom,

yes, the info level is ok. The log of the starting EAP will be clean from the warning messages and the user will be able to see the information form the narayana processing.

Thanks
Ondra
Comment 3 Ondrej Chaloupka 2013-10-17 11:37:27 EDT
Just to be clear one more point - this warning does not influence the EAP functionality. It's purpose is just informative and for this reason is better to be under INFO log level.
Comment 4 Ondrej Chaloupka 2013-10-31 08:43:40 EDT
Verified for 6.2.0.ER7

Note You need to log in before you can comment on or make changes to this bug.